Page MenuHomePhabricator

Remove legacy Database search integration of ArticlePlaceholder
Closed, ResolvedPublic

Description

ArticlePlaceholder search integration was moved to use the API as part of T195752.
Now that we don't need the old database related code and the api is definitely the cleaner way to go we should remove the db related code.

Event Timeline

Addshore created this task.Oct 18 2018, 6:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 18 2018, 6:45 PM
Addshore triaged this task as Low priority.Oct 18 2018, 6:45 PM

@alaa_wmde feel like a campsite candidate to you?

Change 577334 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/ArticlePlaceholder@master] Drop legacy database search integration code

https://gerrit.wikimedia.org/r/577334

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMar 5 2020, 9:13 PM

Change 577334 merged by jenkins-bot:
[mediawiki/extensions/ArticlePlaceholder@master] Drop legacy database search integration code

https://gerrit.wikimedia.org/r/577334

Addshore closed this task as Resolved.Mar 6 2020, 1:59 PM